#include <iostream>

using namespace std;

int main()
{
    int t, n;
    cin>>t;
    bool p = true;

    for(int j=0; j<t; j++)
    {
        cin>>n;
        int a[n];
        int b[n];
        for(int i =0; i<n; i++)
        {
            cin>>a[i];
        }
    
        for(int i = 0; i<n; i++)
        {
            cin>>b[i];
        }
        
        for(int i =0; i<n/2; i++)
        {
            if(a[i]!=b[n-i-1]*-1)
            {
                p = false;
                cout<<"NE"<<endl;
                break;
            }
        }
        if(p==true)
        {
            cout<<"DA"<<endl;
        }else
        {
            p=true;
        }
    }
    

    return 0;
}